const dmc = require('chain');
console.notice("start dmc sync node");

dmc.config_dir = "./sync_data";
dmc.data_dir = "./sync_data";
dmc.pubkey_prefix = "DM";
dmc.name = "dmc";

dmc.load("http", {
	"http-server-address": "0.0.0.0:8881",
	"access-control-allow-origin": "*",
	"http-validate-host": false,
	"verbose-http-errors": true //open error
});

dmc.load("net", {
	"p2p-peer-address": ["154.64.7.46:9870", "154.64.7.46:9902"], //  Modifying According to Node Information
	"max-clients": 100,
	"p2p-listen-endpoint": "0.0.0.0:9881"
});

dmc.load("producer", {
	'max-transaction-time': 3000,
});

dmc.load("chain", {
	"contracts-console": true,
	"genesis-json": "genesis.json",
    "delete-all-blocks": true,
	"enable-account-queries": true
});

dmc.load("chain_api");
dmc.load("trace_api", {
    "trace-no-abis": "true"
});
dmc.start();